from distutils.core import setup
import sys, os.path, string, shutil

if not hasattr(sys, 'version_info') or sys.version_info < (2,2,0,'final',0):
    raise SystemExit, "Python 2.2 or later required to work with asciidata."

ver = sys.version_info
python_exec = 'python' + str(ver[0]) + '.' + str(ver[1])

def dotest():
    import Lib as asciidata
    from asciidata import asciifunction
    import asciidata.asciidata_test
    import unittest

    suite = unittest.makeSuite(asciidata.asciidata_test.test_asciidata)
    unittest.TextTestRunner(verbosity=2).run(suite)

    suite = unittest.makeSuite(asciidata.asciidata_test.test_asciidataII)
    unittest.TextTestRunner(verbosity=2).run(suite)

    suite = unittest.makeSuite(asciidata.asciidata_test.test_nulldata)
    unittest.TextTestRunner(verbosity=2).run(suite)

def dosetup():
    #------------------
    #  The 'normal' setup
    ret = setup(name="asciidata",
		version="0.01",
		description="Working with ASCII data",
		long_description="""
The asciidata package facilitates an easy working with
ASCII-tables. The ASCII data is pared and loaded into
them memory. Access to the element is provided using
matrix notation. Creting new columns, formating columns
and writing out new columns is done via high level methods.
""",
		author="Martin Kuemmel, Jonas Haase",
		author_email="mkuemmel@eso.org",
		license='LGPL',
		url="http://www.stecf.org/software/aXe/index.html",
		platforms = ["Linux","Solaris","Mac OS X"],
		packages=['asciidata',],
		package_dir={'asciidata':'Lib'})

    return ret

def main():

#    if 'build' in sys.argv or 'install' in sys.argv:
#	dotest()
#

    if 'test' not in sys.argv:
	dosetup()
    else:
	dotest()


if __name__ == "__main__":
    main()

